/*=================================================
Name: Kowston
Description: Kowston CSS Buttons
Version: 1.0.0
==================================================*/
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap');
:root {
	--header-height: 60px;
	--primaryColor: #463f3a;
	--secondaryColor: #e0afa0;
	--litPrimaryColor: #8a817c;
	--litColor: #f4f3ee;
	--padding: 50px;
}
*,
*::before,
*::after {
	padding: 0;
	margin: 0;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	font-family: 'Open Sans', sans-serif;
	scroll-behavior: smooth;
	scroll-margin-top: 80px;
}
body {
	width: 100%;
	height: 100vh;
	background: rgba(0, 0, 0, 0.8);
	overflow: hidden;
	position: relative;
}
.container {
	width: 100%;
	max-width: 1100px;
	height: 100%;
	margin: 0 auto;
	background-color: var(--litColor);
	overflow-y: auto;
	overflow-x: hidden;
	-webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}
::-webkit-scrollbar {
	width: 8px;
}
::-webkit-scrollbar-track {
	background-color: rgb(71, 68, 72);
}
::-webkit-scrollbar-thumb {
	background-color: rgb(117, 117, 117);
	border-radius: 5px;
}
::-webkit-scrollbar-thumb:hover {
	background-color: rgb(97, 97, 97);
}
img {
	max-width: 100%;
}
li {
	list-style: none;
}
::marker {
	color: var(--secondaryColor);
}
a {
	text-decoration: none;
}
hr {
	width: 100%;
	height: 2px;
	background-color: var(--secondaryColor);
	margin-block: 15px;
	border: none;
	outline: none;
}
header {
	width: 100%;
	min-height: var(--header-height);
	background-color: var(--primaryColor);
	padding-inline: var(--padding);
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	place-items: center;
	position: sticky;
	top: 0;
	z-index: 100;
}
header .logo h2 {
	font-size: 32px;
	font-weight: 600;
	color: var(--secondaryColor);
}
main {
	display: flex;
}
aside {
	flex: 25%;
	height: calc(100vh - var(--header-height));
	background-color: var(--litPrimaryColor);
	padding: calc(var(--padding) / 2);
	position: sticky;
	top: var(--header-height);
	left: 0;
	overflow: auto;
}
aside li {
	width: 100%;
	height: auto;
	background-color: #fff;
	margin-bottom: 20px;
	border-radius: 3px;
}
aside li a {
	color: var(--primaryColor);
	font-size: 14px;
	font-weight: 600;
	padding: calc(var(--padding) / 2);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
aside li a:hover {
	color: var(--primaryColor);
}
aside li a span {
	display: inline-block;
	margin-bottom: 15px;
}
article {
	flex: 75%;
	padding: calc(var(--padding) / 2);
}
article .buttons {
	background-color: #fff;
	padding: calc(var(--padding) / 2);
	margin-bottom: 30px;
}
article .buttons h2 {
	font-size: 20px;
	color: var(--litPrimaryColor);
}
article .button-group {
	display: flex;
	flex-wrap: wrap;
	justify-content: start;
	align-items: center;
	gap: 20px;
	margin-bottom: 30px;
}
@media screen and (min-width: 600px) and (max-width: 768px) {
	aside {
		flex: 30%;
	}
	article {
		flex: 70%;
	}
}
@media screen and (max-width: 580px) {
	header {
		padding-inline: 20px;
	}
	aside {
		display: none;
	}
	main {
		width: 100%;
	}
	article .button-group {
		justify-content: center;
	}
}
